Subject: Re: [its] novel use case for intra-vehicular wireless

From: Michael Richardson <[email-masked]>
Date: Wed, 01 May 2013 12:50:45 -0400

>>>>> "Alison" == Alison Chaiken <[email-masked]> writes:
    Alison> used for applications like back-seat media control.    He said that
    Alison> such tiny dispersed touch panels may operate via Zigbee, although I
    Alison> guess they could be active RFID as well.    The idea that cars will
    Alison> have far fewer cables and wires and more wireless is pretty
    Alison> fascinating.     That may save on assembly costs although
    Alison> the question of battery-powering so many small devices is
    Alison> worrisome.    Perhaps 
    Alison> energy harvesting is a real solution for vehicles?

It seems to me that distributing 5V/12V is possibly easier than data
cables.  I realize that CAN has done lots in the space of data+power
already. 

For buttons and the like, energy harvesting can be done from the action
of pushing the button itself.  

    Alison> Anyhow, I don't mean to drag the group off-topic, but the
    Alison> concept of the wireless control of media playing is
    Alison> generally intriguing.    I'm 
    Alison> convinced that in some developing nations, the car will be the main
    Alison> "PC" for the household, the source of email, music, movie streaming
    Alison> for the whole house when parked.    Residents of such nations will

I think that this is entirely at odds with significantly reduced car
ownership via car sharing co-ops, mobility-on-demand, driver-less
vehicles, and peak-oil.

-- 
]               Never tell me the odds!                 | ipv6 mesh networks [ 
]   Michael Richardson, Sandelman Software Works        | network architect  [ 
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 16 May 2013 20:10:29 +0200

Alison,

(sorry for my late reply.  We have had a private exchange about open
source licensing, and about new 802.11p drivers, which subsequently
occupied me.)

I have looked at the slide that is cited below, about how buttons on
various consoles on infotainment display, on doors, over-head, control
various things in the cabin (inside the car, 'habitacle', fr.).

Indeed in next generation vehicles there are many kinds of such buttons
on consoles.  Each such console is a touch-screen display.  More than
screens there are other kinds surfaces as well.

Moreover, touching a screen is just one manner of acting on an
interface.  Other means include but are not limited to gesture
recognition (similar to gaming consoles), face recognition, temperature
scanning, etc.

All these must be connected together in the vehicle.

Inside a vehicle the connection between these devices may be zigbee,
bluetooth, wifi, Ethernet AVB or any other wired or wireless IP-friendly
Local Area Network.  There are more than just one IP subnets in the vehicle.

This is not futuristic, it is there already.

The problem I have is how to translate this requirement into a work item
that can be performed in an Working Group at IETF.

The one direction I can see is that there exist numerous IP devices in
the vehicle, thus there is a need of IPv6 (as opposed to IPv4).

But from this, what could we do at IETF about this numerous buttons and
intra-vehicular wireless?

Should we describe a scenario of use of wireless IP inside vehicle?

What could be a working item?

What do you think?

Alex

Le 28/04/2013 19:40, Alison Chaiken a écrit :
> Slide 9 of this set from Elo Touch Solutions shows an "Automotive
> Interior Touchscape":
>
> http://ewh.ieee.org/r6/scv/ce/meetings/Elo%20for%20Automotive%20APR%202013.pdf
>
>  The presenter believes, with good reason, that today's large
> console-mounted touch panels will disaggregate into many soft
> buttons used for applications like back-seat media control.    He
> said that such tiny dispersed touch panels may operate via Zigbee,
> although I guess they could be active RFID as well.    The idea that
> cars will have far fewer cables and wires and more wireless is
> pretty fascinating.     That may save on assembly costs although the
> question of battery-powering so many small devices is worrisome.
> Perhaps energy harvesting is a real solution for vehicles?
>
> Anyhow, I don't mean to drag the group off-topic, but the concept of
> the wireless control of media playing is generally intriguing.
> I'm convinced that in some developing nations, the car will be the
> main "PC" for the household, the source of email, music, movie
> streaming for the whole house when parked.    Residents of such
> nations will need cars, and even low-end cars will start to include
> these features. There has been a presumption that cellular handsets
> are the developing world PCs, but that strikes me as unclear.    If
> the car becomes the media center, then you might want to control the
> music playing from your vehicle from another room by using IPV6 to
> address the car's functions directly.
>